Debian Bug report logs - #408394
umount.cifs: mtab symlink is replaced with regular file

version graph

Package: smbfs; Maintainer for smbfs is Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>;

Reported by: Radu Cristescu <radu.c@plutohome.com>

Date: Thu, 25 Jan 2007 16:03:02 UTC

Severity: important

Tags: confirmed, fixed-upstream, pending

Found in versions samba/2:3.2.5-2, samba/2:3.3.0~rc2-3, samba/3.0.23b-1, samba/3.0.23d-4

Fixed in version samba/2:3.4.3-1

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.samba.org/show_bug.cgi?id=4675

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#408394; Package smbfs. Full text and rfc822 format available.

Acknowledgement sent to Radu Cristescu <radu.c@plutohome.com>:
New Bug report received and forwarded. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Radu Cristescu <radu.c@plutohome.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: umount.cifs: mtab symlink is replaced with regular file
Date: Thu, 25 Jan 2007 17:44:32 +0200
Package: smbfs
Version: 3.0.23d-4
Severity: grave

umount.cifs removes /etc/mtab even if it's a symlink to /proc/mounts
and writes a regular file instead

I'm setting the Severity to "grave" because I think losing a symlink
can be considered "data loss" (the symlink is "data") and using a
regular file for mtab is not an option in my case.

Here's a session (only the relevant output, for brevity):

arwen:~# ls -l /etc/mtab
lrwxrwxrwx 1 root root 12 2007-01-25 17:38 /etc/mtab -> /proc/mounts
arwen:~# cat /proc/mounts
//10.0.0.150/builds /mnt/150/builds cifs rw,mand,unc=\\10.0.0.150\builds,username=root,rsize=16384,wsize=57344 0 0
//10.0.0.150/repositories /mnt/150/repositories cifs rw,mand,unc=\\10.0.0.150\repositories,username=root,rsize=16384,wsize=57344 0 0
arwen:~# umount /mnt/150/builds
arwen:~# ls -l /etc/mtab
-rw-r--r-- 1 root root 1281 2007-01-25 17:39 /etc/mtab

Thanks.

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (990, 'testing'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ANSI_X3.4-1968)

Versions of packages smbfs depends on:
ii  libc6    2.3.6.ds1-8                     GNU C Library: Shared libraries
ii  libcomer 1.39+1.40-WIP-2006.11.14+dfsg-1 common error description library
ii  libkrb53 1.4.4-6                         MIT Kerberos runtime libraries
ii  libldap2 2.1.30-13.2                     OpenLDAP libraries
ii  netbase  4.28                            Basic TCP/IP networking system
ii  samba-co 3.0.23d-4                       Samba common files used by both th

smbfs recommends no packages.

-- no debconf information



Severity set to `important' from `grave' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#408394; Package smbfs. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #12 received at 408394@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Radu Cristescu <radu.c@plutohome.com>, 408394@bugs.debian.org
Subject: Re: Bug#408394: umount.cifs: mtab symlink is replaced with regular file
Date: Thu, 31 May 2007 23:32:39 +0200
[Message part 1 (text/plain, inline)]
user pkg-samba@lists.alioth.debian.org
tags 408394 confirmed
usertags 408394 triaged
forwarded 408394 https://bugzilla.samba.org/show_bug.cgi?id=4675
thanks

Quoting Radu Cristescu (radu.c@plutohome.com):
> Package: smbfs
> Version: 3.0.23d-4
> Severity: grave
> 
> umount.cifs removes /etc/mtab even if it's a symlink to /proc/mounts
> and writes a regular file instead
> 
> I'm setting the Severity to "grave" because I think losing a symlink
> can be considered "data loss" (the symlink is "data") and using a
> regular file for mtab is not an option in my case.


I have been able to reproduce that bug, which I forwarded upstream.

[signature.asc (application/pgp-signature, inline)]

Tags added: confirmed Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Thu, 31 May 2007 21:36:08 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to https://bugzilla.samba.org/show_bug.cgi?id=4675. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Thu, 31 May 2007 21:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>:
Bug#408394; Package smbfs. (Sat, 03 Jan 2009 19:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>. (Sat, 03 Jan 2009 19:18:02 GMT) Full text and rfc822 format available.

Message #21 received at 408394@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 408394@bugs.debian.org
Subject: Bug still here in 3.3.0-rc2
Date: Sat, 3 Jan 2009 20:12:21 +0100
[Message part 1 (text/plain, inline)]
found 408394 2:3.3.0~rc2-3
found 408394 2:3.2.5-2
thanks

This bug where an /etc/mtab symlink is replaced by a regular when the
filesystem is unmounted is still here in 3.2 and 3.3.0 packages.

-- 



[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2:3.3.0~rc2-3. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 19:18:04 GMT) Full text and rfc822 format available.

Bug marked as found in version 2:3.2.5-2. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sat, 03 Jan 2009 19:18:05 GMT) Full text and rfc822 format available.

Forcibly Merged 383375 408394. Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sat, 14 Mar 2009 09:39:08 GMT) Full text and rfc822 format available.

Tags removed: moreinfo, unreproducible, fixed-upstream Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Sat, 04 Apr 2009 07:18:04 GMT) Full text and rfc822 format available.

Disconnected #383375 from all other report(s). Request was from Christian Perrier <bubulle@debian.org> to control@bugs.debian.org. (Mon, 13 Apr 2009 12:06:08 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 30 Jul 2009 19:57:17 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Sat, 31 Oct 2009 13:54:10 GMT) Full text and rfc822 format available.

Reply sent to Christian Perrier <bubulle@debian.org>:
You have taken responsibility. (Sun, 01 Nov 2009 00:15:04 GMT) Full text and rfc822 format available.

Notification sent to Radu Cristescu <radu.c@plutohome.com>:
Bug acknowledged by developer. (Sun, 01 Nov 2009 00:15:04 GMT) Full text and rfc822 format available.

Message #40 received at 408394-close@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: 408394-close@bugs.debian.org
Subject: Bug#408394: fixed in samba 2:3.4.3-1
Date: Sun, 01 Nov 2009 00:09:44 +0000
Source: samba
Source-Version: 2:3.4.3-1

We believe that the bug you reported is fixed in the latest version of
samba, which is due to be installed in the Debian FTP archive:

libpam-smbpass_3.4.3-1_i386.deb
  to main/s/samba/libpam-smbpass_3.4.3-1_i386.deb
libsmbclient-dev_3.4.3-1_i386.deb
  to main/s/samba/libsmbclient-dev_3.4.3-1_i386.deb
libsmbclient_3.4.3-1_i386.deb
  to main/s/samba/libsmbclient_3.4.3-1_i386.deb
libwbclient0_3.4.3-1_i386.deb
  to main/s/samba/libwbclient0_3.4.3-1_i386.deb
samba-common-bin_3.4.3-1_i386.deb
  to main/s/samba/samba-common-bin_3.4.3-1_i386.deb
samba-common_3.4.3-1_all.deb
  to main/s/samba/samba-common_3.4.3-1_all.deb
samba-dbg_3.4.3-1_i386.deb
  to main/s/samba/samba-dbg_3.4.3-1_i386.deb
samba-doc-pdf_3.4.3-1_all.deb
  to main/s/samba/samba-doc-pdf_3.4.3-1_all.deb
samba-doc_3.4.3-1_all.deb
  to main/s/samba/samba-doc_3.4.3-1_all.deb
samba-tools_3.4.3-1_i386.deb
  to main/s/samba/samba-tools_3.4.3-1_i386.deb
samba_3.4.3-1.diff.gz
  to main/s/samba/samba_3.4.3-1.diff.gz
samba_3.4.3-1.dsc
  to main/s/samba/samba_3.4.3-1.dsc
samba_3.4.3-1_i386.deb
  to main/s/samba/samba_3.4.3-1_i386.deb
samba_3.4.3.orig.tar.gz
  to main/s/samba/samba_3.4.3.orig.tar.gz
smbclient_3.4.3-1_i386.deb
  to main/s/samba/smbclient_3.4.3-1_i386.deb
smbfs_3.4.3-1_i386.deb
  to main/s/samba/smbfs_3.4.3-1_i386.deb
swat_3.4.3-1_i386.deb
  to main/s/samba/swat_3.4.3-1_i386.deb
winbind_3.4.3-1_i386.deb
  to main/s/samba/winbind_3.4.3-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 408394@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Perrier <bubulle@debian.org> (supplier of updated samba package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 31 Oct 2009 14:32:07 +0100
Source: samba
Binary: samba samba-common-bin samba-common samba-tools smbclient swat samba-doc samba-doc-pdf smbfs libpam-smbpass libsmbclient libsmbclient-dev winbind samba-dbg libwbclient0
Architecture: source all i386
Version: 2:3.4.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Changed-By: Christian Perrier <bubulle@debian.org>
Description: 
 libpam-smbpass - pluggable authentication module for Samba
 libsmbclient - shared library for communication with SMB/CIFS servers
 libsmbclient-dev - development files for libsmbclient
 libwbclient0 - Samba winbind client library
 samba      - SMB/CIFS file, print, and login server for Unix
 samba-common - common files used by both the Samba server and client
 samba-common-bin - common files used by both the Samba server and client
 samba-dbg  - Samba debugging symbols
 samba-doc  - Samba documentation
 samba-doc-pdf - Samba documentation in PDF format
 samba-tools - Samba testing utilities
 smbclient  - command-line SMB/CIFS clients for Unix
 smbfs      - Samba file system utilities
 swat       - Samba Web Administration Tool
 winbind    - Samba nameservice integration server
Closes: 408394
Changes: 
 samba (2:3.4.3-1) unstable; urgency=low
 .
   * New upstream release. This fixes the following bugs:
     - Do not attempt to update /etc/mtab if it is
       a symbolic link. Closes: #408394
   * Bump Standards-Version to 3.8.3 (checked)
Checksums-Sha1: 
 19d212c44c139bfc84bfa770d71e27063352f14a 2230 samba_3.4.3-1.dsc
 cad244c5334e6a2b46172910944a899a82f3ef4a 34989194 samba_3.4.3.orig.tar.gz
 3f7970015c155c748f827b70d2988b3e88905181 469644 samba_3.4.3-1.diff.gz
 4d2801d06b4a062227173e47976046bdc3c64654 376334 samba-common_3.4.3-1_all.deb
 f08a951de9e492569933900e039fff0f95d95c9a 7998472 samba-doc_3.4.3-1_all.deb
 27d9bcc903b56bc1351e0388ad5d6c936184deb4 6701924 samba-doc-pdf_3.4.3-1_all.deb
 4339f50302141eb99084202e92f8460d7082812f 6185172 samba_3.4.3-1_i386.deb
 fc106d03307e7f4eaaa1c9cf01f4fdec1995c2b3 4742520 samba-common-bin_3.4.3-1_i386.deb
 be8f0c019b21ee8dae9619d0c97d8d5e7e4cc89e 9701934 samba-tools_3.4.3-1_i386.deb
 39123cd73d349c6ac25f2dd8312b32d27a2659b5 11316068 smbclient_3.4.3-1_i386.deb
 f3a0d0b0e48ea7dbf5cc37f1cbd0ccbdfcf86a29 1875910 swat_3.4.3-1_i386.deb
 27ab1fbc8bb60b01bed1fbd189971698180e9e9d 1815462 smbfs_3.4.3-1_i386.deb
 214b510ae0e8c0afac4ea41116198589432bd937 659628 libpam-smbpass_3.4.3-1_i386.deb
 7b7011b70a8776eee82bd8d7cad0805ce620a3e7 1631980 libsmbclient_3.4.3-1_i386.deb
 83f0195916ea6c3ef8c476b3b4dcb2829adfd56d 2419490 libsmbclient-dev_3.4.3-1_i386.deb
 586ce2f9bcafd7c4801a98c9f95be10275c6a5a7 4332742 winbind_3.4.3-1_i386.deb
 538084585c339978bf2d2f24499b1ca786ba744d 47985282 samba-dbg_3.4.3-1_i386.deb
 e9b0c36d41d757879b7de08c223d66d46ae94236 89170 libwbclient0_3.4.3-1_i386.deb
Checksums-Sha256: 
 34ecc74bb97bcbfc2fc6811abe692f3a2d1b105ced4c52c8785762b2f8391fe6 2230 samba_3.4.3-1.dsc
 20bedee9dc72b3081b36f760cfbbcb47a6c8817cffab7dc46131b109585aceff 34989194 samba_3.4.3.orig.tar.gz
 a47d71bf346f77e00f1387944c3e169861f01ead7b8276f11af28b315300b5c0 469644 samba_3.4.3-1.diff.gz
 5ac22359924922501036e30d08e4836ade24527ed69cc58916caf8d45079320a 376334 samba-common_3.4.3-1_all.deb
 06778ea71f50c9f0898d688f618d85dd52446ddcabfcfd0d4f1b634786bd8a78 7998472 samba-doc_3.4.3-1_all.deb
 d1071330b9b0e934d4d81f9f46216b64522b6ceddd73989860c688c86da3dcc6 6701924 samba-doc-pdf_3.4.3-1_all.deb
 31bc25b6528dd64ec3292b4f2ee80683f204bbe67df76e00f090e0fe18921db4 6185172 samba_3.4.3-1_i386.deb
 2bd541d738b64ef8c15d9e7e51bb19d331cbccdbcf710ae57d83e8d96ef9e56d 4742520 samba-common-bin_3.4.3-1_i386.deb
 35d615e85a9ed82fa6311cb62fb2f721e42074cd7f8bfd85daff40a72750d3a7 9701934 samba-tools_3.4.3-1_i386.deb
 9f33cd5583f98987c811b581f0ae3cc68335eb87f3f161cf25b549412bdc10e0 11316068 smbclient_3.4.3-1_i386.deb
 7154b776f8b7d30c0061e91c577a8aeb912fca8ef36514ab7723e6cf1720f8bc 1875910 swat_3.4.3-1_i386.deb
 05a820ee5cbe7b4b5509cb507bcc2a1e9fa5630df927eae63cb5be50fbccf54f 1815462 smbfs_3.4.3-1_i386.deb
 b596ab7e974f815d0ce54fecbd3beac4199291f9e0e31a4dec27167b6f00c32b 659628 libpam-smbpass_3.4.3-1_i386.deb
 ea0f4478ebe00f574d8d0620c94724affaf7328c80dab638127773e6c3b9d366 1631980 libsmbclient_3.4.3-1_i386.deb
 0b2ddecdfe1498a22856f8bda38545e782cbbb8a728a7daa3e052af9c51aaa63 2419490 libsmbclient-dev_3.4.3-1_i386.deb
 9b97e4c5d9aeed6bd83dcaece3cdfed79d9027b8166d00539846007cf1c9818c 4332742 winbind_3.4.3-1_i386.deb
 4fc6b3786bb4a04a08154725ae073ef10c8c20e2207492d983a9df9d2b832517 47985282 samba-dbg_3.4.3-1_i386.deb
 2a31297e4affbe4d0ad9ea2c25e3d70fb7d8b9b74bf59f6d85f43a2a0b35f778 89170 libwbclient0_3.4.3-1_i386.deb
Files: 
 c55b93e056e0abecaf818eb948997838 2230 net optional samba_3.4.3-1.dsc
 322379680c12057f57685652a35a6b05 34989194 net optional samba_3.4.3.orig.tar.gz
 ecb900560f1723d277e0ff5d01c98d0c 469644 net optional samba_3.4.3-1.diff.gz
 6223e950f292a98829443541fb317591 376334 net optional samba-common_3.4.3-1_all.deb
 e3b8bdb22929c274dbcb9d98dae373e9 7998472 doc optional samba-doc_3.4.3-1_all.deb
 97f8fd8e19058f14ade003fce3cc579b 6701924 doc optional samba-doc-pdf_3.4.3-1_all.deb
 a408a8eeeb2745e7d67ba1b34515fa5c 6185172 net optional samba_3.4.3-1_i386.deb
 82e704c2cf0f4a522b6286ef0a2320b8 4742520 net optional samba-common-bin_3.4.3-1_i386.deb
 fe5184dfcb0aec44cadfa0bcd328de45 9701934 net optional samba-tools_3.4.3-1_i386.deb
 23087ff1d1fcf994947fb1a3ca971db2 11316068 net optional smbclient_3.4.3-1_i386.deb
 2d09132cc7b0cbebf4c39a63814e3309 1875910 net optional swat_3.4.3-1_i386.deb
 dc26a267db156542678b4158f091ebbf 1815462 otherosfs optional smbfs_3.4.3-1_i386.deb
 c3e6e18913997347b7e7ff5ac8274c6d 659628 admin extra libpam-smbpass_3.4.3-1_i386.deb
 7c1e32f8452b91b9a083ab2c08e2b31c 1631980 libs optional libsmbclient_3.4.3-1_i386.deb
 7bbecab4fb9cf49858a9360b4d022ebe 2419490 libdevel extra libsmbclient-dev_3.4.3-1_i386.deb
 38f59cd71fc7216845056709cfb2db62 4332742 net optional winbind_3.4.3-1_i386.deb
 12b2a65aff80da6140d3da129c6b9bd8 47985282 debug extra samba-dbg_3.4.3-1_i386.deb
 80d0b76da475395a14ccb39bbefe26c4 89170 libs optional libwbclient0_3.4.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iD8DBQFK7Ffi1OXtrMAUPS0RAiTJAJ4m+t9EC/4nTYfPRaWYowUpLr3/3QCgsuqN
uodVSvgfT/TEK4O6Nmu6ypY=
=WO91
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from bubulle@alioth.debian.org to control@bugs.debian.org. (Sun, 01 Nov 2009 21:18:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 13 Dec 2009 07:43:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:11:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.